import * as $dara from '@darabonba/typescript';
import { ModifyDedicatedHostClusterAttributeResponseBody } from "./ModifyDedicatedHostClusterAttributeResponseBody";
export declare class ModifyDedicatedHostClusterAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyDedicatedHostClusterAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
